WordPress.org

Support

Support » Requests and Feedback » [Plugin: Sociable] Plugin breaks site validation

[Plugin: Sociable] Plugin breaks site validation

Viewing 5 replies - 1 through 5 (of 5 total)
  • Fixed in 2.6.4 🙂 thx for noticing!

    I’d had to make that tweak in sociable.php a while ago, too. Still a great plugin though.

    In the latest version of Sociable, the above described error has reappeared, for Ratimarks. It breaks validation, so I changed it manually, but perhaps you can fix this in a next release?

    Another problem, when using XHTML 1.0 Strict as one’s doctype, is line 696 of sociable.php

    I changed

    echo '<script language="JavaScript" type="text/javascript" src="' . $sociablepluginpath . 'wists.js"></script>'."\n";

    into

    echo '<script type="text/javascript" src="' . $sociablepluginpath . 'wists.js"></script>'."\n";

    in order to have my site validate.

    When I run xhtml validation on my site I get
    ‘ Line 230, Column 21: document type does not allow element “div” here; missing one of “object”, “applet”, “map”, “iframe”, “button”, “ins”, “del” start-tag.
    <div class=”sociable”>’
    for the code in my index.php
    <?php if (function_exists(‘sociable_html’)) { echo sociable_html(); } ?>
    Were you able to fix that ?

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘[Plugin: Sociable] Plugin breaks site validation’ is closed to new replies.
Skip to toolbar